org.gnome.gtk

## Interface TextBuffer.DeleteRange

- Enclosing class:
    TextBuffer

      public static interface TextBuffer.DeleteRange

  Signal emitted when one or more characters are deleted.

  You can get a String representing the the removed characters by calling:

       deleted = buffer.getText(start, finish, false);

  Note that in the case of a user action which attempts to delete text in a TextView that is not editable or within a range of characters affected by TextTags with the editable property set to `false` then the action will be inhibited and this signal will not be raised.

  Since:
    4.0.9
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDeleteRange(TextBuffer source, TextIter start, TextIter finish)`

- - ### Method Detail

    - #### onDeleteRange

          void onDeleteRange(TextBuffer source,
                           TextIter start,
                           TextIter finish)